'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
module.exports = b;
exports.default = b;


function b(name) {
  var props = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var defaultMods = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var result = [name];
  var _props$mix = props.mix,
      mix = _props$mix === undefined ? [] : _props$mix,
      _props$mods = props.mods,
      mods = _props$mods === undefined ? {} : _props$mods;

  var addMod = function addMod(key, value) {
    var mod = [name, camelToKebab(key)];

    if (typeof value !== 'boolean') {
      mod.push(camelToKebab(value));
    }

    result.push(mod.join('_'));
  };

  Object.keys(defaultMods).forEach(function (key) {
    if (!mods.hasOwnProperty(key) && defaultMods[key]) {
      addMod(key, defaultMods[key]);
    }
  });

  Object.keys(mods).forEach(function (key) {
    if (mods[key]) {
      addMod(key, mods[key]);
    }
  });

  if (mix) {
    result = result.concat(mix);
  }

  return result.join(' ');
}

function camelToKebab(str) {
  return str.toString().replace(/([a-z])([A-Z])/g, '$1-$2').toLowerCase();
}
